use strict;
use warnings;
use Module::Build;

my $class = Module::Build->subclass(
    class => "Module::Build::Custom",
    code => <<'SUBCLASS' );

sub dist_version {
    my $self = shift;
    my $v = $self->SUPER::dist_version;
    $v =~ s/\Av//ms;
    return $v;
}
SUBCLASS
my $builder = $class->new(
    module_name         => 'POWER::Utils::Resource',
    license             => 'perl',
    dist_author         => 'Alex Efros <powerman@cpan.org>',
    requires => {
        'Test::More'            => 0,
#        'Test::Exception'       => 0,
        'version'               => 0,
        'Export::Attrs'         => 0,
    },
    add_to_cleanup      => [ 'POWER-Utils-Resource-*' ],
);

$builder->create_build_script();
